For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dropbox Sign WebSDKsSign Up
DocumentationAPIChangelog
DocumentationAPIChangelog
  • API Quickstart
  • API Reference
    • Welcome
    • Authentication
    • Account
    • Signature Request
      • GETGet Signature Request
      • GETList Signature Requests
      • GETDownload Files
      • GETDownload Files as Data Uri
      • GETDownload Files as File Url
      • POSTSend Signature Request
      • POSTSend with Template
      • POSTBulk Send with Template
      • POSTSend Request Reminder
      • POSTRelease On-Hold Signature Request
      • POSTUpdate Signature Request
      • POSTCancel Incomplete Signature Request
      • POSTRemove Signature Request Access
      • POSTEmbedded Bulk Send with Template
      • POSTCreate Embedded Signature Request
      • POSTCreate Embedded Signature Request with Template
      • PUTEdit Signature Request
      • PUTEdit Embedded Signature Request
      • PUTEdit Embedded Signature Request with Template
      • PUTEdit Signature Request With Template
    • Template
    • Bulk Send Job
    • Report
    • Team
    • Unclaimed Draft
    • Embedded
    • API App
    • Fax
    • Fax Line
  • Manual Reference Pages
    • Warnings and Errors
    • Constants
    • Search
    • Premium Branding
    • Expiration
    • Glossary
LogoLogo
Dropbox Sign WebSDKsSign Up
API ReferenceSignature Request

Edit Signature Request With Template

||View as Markdown|
PUT
https://api.hellosign.com/v3/signature_request/edit_with_template/:signature_request_id
PUT
/v3/signature_request/edit_with_template/:signature_request_id
$curl -X POST 'https://api.hellosign.com/v3/signature_request/edit_with_template/{signature_request_id}' \
> -u 'YOUR_API_KEY:' \
> -F 'client_id=YOUR_CLIENT_ID' \
> -F 'template_ids[]=61a832ff0d8423f91d503e76bfbcc750f7417c78' \
> -F 'subject=Purchase Order' \
> -F 'message=Glad we could come to an agreement.' \
> -F 'signers[0][role]=Client' \
> -F 'signers[0][name]=George' \
> -F 'signers[0][email_address]=george@example.com' \
> -F 'ccs[0][role]=Accounting' \
> -F 'ccs[0][email_address]=accounting@example.com' \
> -F 'custom_fields[0][name]=Cost' \
> -F 'custom_fields[0][value]=$20,000' \
> -F 'custom_fields[0][editor]=Client' \
> -F 'custom_fields[0][required]=true' \
> -F 'signing_options[draw]=1' \
> -F 'signing_options[type]=1' \
> -F 'signing_options[upload]=1' \
> -F 'signing_options[phone]=1' \
> -F 'signing_options[default_type]=draw' \
> -F 'test_mode=1'
1{
2 "signature_request": {
3 "signature_request_id": "17d163069282df5eb63857d31ff4a3bffa9e46c0",
4 "requester_email_address": "me@dropboxsign.com",
5 "title": "Purchase Order",
6 "original_title": "Purchase Order",
7 "subject": "Purchase Order",
8 "message": "Glad we could come to an agreement.",
9 "metadata": {},
10 "created_at": 1570471067,
11 "is_complete": false,
12 "is_declined": false,
13 "has_error": false,
14 "signing_url": "https://app.hellosign.com/sign/17d163069282df5eb63857d31ff4a3bffa9e46c0",
15 "details_url": "https://app.hellosign.com/home/manage?guid=17d163069282df5eb63857d31ff4a3bffa9e46c0",
16 "cc_email_addresses": [
17 "accounting@dropboxsign.com"
18 ],
19 "signing_redirect_url": null,
20 "custom_fields": [
21 {
22 "type": "text",
23 "name": "Cost",
24 "editor": "Client",
25 "required": true,
26 "value": "$20,000"
27 }
28 ],
29 "response_data": [],
30 "signatures": [
31 {
32 "signature_id": "10ab1cd037d9b6cba7975d61ff428c8d",
33 "signer_email_address": "george@example.com",
34 "signer_name": "George",
35 "signer_role": "Client",
36 "order": null,
37 "status_code": "awaiting_signature",
38 "signed_at": null,
39 "last_viewed_at": null,
40 "last_reminded_at": null,
41 "has_pin": false,
42 "has_sms_auth": false
43 }
44 ]
45 }
46}

Edits and sends a SignatureRequest based off of the Template(s) specified with the template_ids parameter.

NOTE: Edit and resend will deduct your signature request quota.

Was this page helpful?
Previous

Edit Embedded Signature Request with Template

Next

Template

Built with

Authentication

AuthorizationBasic

Your API key can be used to make calls to the Dropbox Sign API. See Authentication for more information. ✅ Supported by Try it console (calls sent in test_mode only).

OR
AuthorizationBearer
You can use an Access Token issued through an OAuth flow to send calls to the Dropbox Sign API from your app. The access scopes required by this endpoint are listed in the gray box above. See [Authentication](/api/reference/authentication) for more information. ❌ **Not supported** by Try it console.

Path parameters

signature_request_idstringRequired
The id of the SignatureRequest to edit.

Request

This endpoint expects an object.
template_idslist of stringsRequired

Use template_ids to create a SignatureRequest from one or more templates, in the order in which the template will be used.

signerslist of objectsRequired

Add Signers to your Templated-based Signature Request.

allow_declinebooleanOptionalDefaults to false

Allows signers to decline to sign a document if true. Defaults to false.

ccslist of objectsOptional
Add CC email recipients. Required when a CC role exists for the Template.
client_idstringOptional
Client id of the app to associate with the signature request. Used to apply the branding and callback url defined for the app.
custom_fieldslist of objectsOptional
An array defining values and options for custom fields. Required when a custom field exists in the Template.
fileslist of stringsOptional

Use files[] to indicate the uploaded file(s) to send for signature.

This endpoint requires either files or file_urls[], but not both.

file_urlslist of stringsOptional

Use file_urls[] to have Dropbox Sign download the file(s) to send for signature.

This endpoint requires either files or file_urls[], but not both.

is_eidbooleanOptionalDefaults to false

Send with a value of true if you wish to enable electronic identification (eID), which requires the signer to verify their identity with an eID provider to sign a document.
NOTE: You need the eID add-on to use this feature. Please contact sales for more information. Cannot be used in test_mode. Only works on requests with one signer.

messagestringOptional<=5000 characters
The custom message in the email that will be sent to the signers.
metadatamap from strings to anyOptional

Key-value data that should be attached to the signature request. This metadata is included in all API responses and events involving the signature request. For example, use the metadata field to store a signer’s order number for look up when receiving events for the signature request.

Each request can include up to 10 metadata keys (or 50 nested metadata keys), with key names up to 40 characters long and values up to 1000 characters long.

signing_optionsobjectOptional

This allows the requester to specify the types allowed for creating a signature and specify another signing options.

NOTE: If signing_options are not defined in the request, the allowed types will default to those specified in the account settings.

NOTE: If force_advanced_signature_details is set, allowed types has to be defined too.

signing_redirect_urlstringOptional
The URL you want signers redirected to after they successfully sign.
subjectstringOptional<=255 characters
The subject in the email that will be sent to the signers.
test_modebooleanOptionalDefaults to false

Whether this is a test, the signature request will not be legally binding if set to true. Defaults to false.

titlestringOptional<=255 characters
The title you want to assign to the SignatureRequest.

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation
signature_requestobject
Contains information about a signature request.
warningslist of objects
A list of warnings.

Errors

4XX
Client Request Error

You can use an Access Token issued through an OAuth flow to send calls to the Dropbox Sign API from your app. The access scopes required by this endpoint are listed in the gray box above. See Authentication for more information. ❌ Not supported by Try it console.